import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getQueryStatusLabel } from "../../_util/getQueryStatusLabel";
import { statusTobgColorClass } from "../../_util/statusTobgColorClass";
export default function QueryButton({ query, setSelected, selected }) {
    return (_jsxs("button", { onClick: () => {
            setSelected(query === selected ? undefined : query);
        }, className: `
    flex items-center cursor-pointer
     text-[#344054] bg-white border-b-[1px] border-[#d0d5dd] hover:bg-[#EAECF0]
      text-xs
      ${(selected === null || selected === void 0 ? void 0 : selected.queryKey) == query.queryKey ? "bg-[#eaecf0]" : ""}
      `, children: [_jsx("div", { className: `p-3  w-[18px] h-[23px] flex items-center justify-center
      ${statusTobgColorClass(getQueryStatusLabel(query))}
      `, children: query.observersCount }), _jsxs("div", { className: "flex justify-between w-full  ", children: [_jsx("span", { className: "py-1 px-2", children: `["${query.queryKey}"]` }), " ", false && ( //query.isDisabled() &&
                    _jsx("p", { className: "text-xs self-stretch flex items-center p-0 px-2 text-[#1d2939] bg-[#d0d5dd] border-b border-[#d0d5dd]", children: "disabled" }))] })] }));
}
//# sourceMappingURL=QueryButton.js.map