// import { serialize } from "superjson";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/**
 * Displays a string regardless the type of the data
 * @param {unknown} value Value to be stringified
 * @param {boolean} beautify Formats json to multiline
 */
// export const displayValue = (value: unknown, beautify: boolean = false) => {
//   const { json } = serialize(value);
//   return JSON.stringify(json, null, beautify ? 2 : undefined);
// };
// Asynchronously imports 'superjson' and serializes the given value
export function displayValue(value, beautify = false) {
    return __awaiter(this, void 0, void 0, function* () {
        // Dynamically import 'superjson' to ensure compatibility with both CJS and ESM
        const superjson = yield import("superjson");
        const { json } = superjson.serialize(value);
        // Return the beautified or minified JSON string
        return JSON.stringify(json, null, beautify ? 2 : 0);
    });
}
//# sourceMappingURL=displayValue.js.map